commit:     e4dc528280c5a5378b2cd68aff14dcb2467b00d8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 24 04:28:10 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 24 05:57:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4dc5282

dev-python/imageio: Bump to 2.28.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/imageio/Manifest              |  1 +
 dev-python/imageio/imageio-2.28.0.ebuild | 82 ++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index 46b6a0d2a0fd..b083415d713c 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -1,3 +1,4 @@
 DIST imageio-2.27.0.gh.tar.gz 405391 BLAKE2B 
f013de16f460e04f5d30c7bcc3c64dc05cd2ca74b359ffe43f2f84e850bec907f899f8c2cc8bcd2a6594767746bd52bd8ae8f2f0c7bd9a3fe6b5450ef043830c
 SHA512 
28d42b59d5c59c679786fced4d3f616d8ac832da0f76da31337875404a8382e66ead6531e02ec94099f481ce84aad5271199b16eadef03bcd5db9978010a7132
+DIST imageio-2.28.0.gh.tar.gz 406506 BLAKE2B 
4021f872cd156461f216047d612ee985779e3cd1bb4d05e82ed12eb7582737ca60d1462a4d8fadeb56dd2aa197763f70f9aac5a1dced884276cf13bf43fdb990
 SHA512 
ba3aad7e32dd0468b9fc8ddc76c79b89be3e805a0d903b5fe6ff2279996db288b6809be6bc231f95751e1f55c8b12dedaa8b6c7635ba24a43f902f41f9bccf0d
 DIST imageio-chelsea.png 221294 BLAKE2B 
58537d7a1678fa5be4cc899e5bacd925bfc180eb4ae691330a53749a49ff544e979609b529ed27e5c1fc9efe4bc050ca1ce49b777f4016fb1d66affd926ef9d3
 SHA512 
48470cdb843eed4dfa6673811c09c5aac9869ee23dd36be0c6b653d9f108d61d21b148c2a4435aaa6604887ba030e5bbc5e35d378da876366445dfc2d0ba4e27
 DIST imageio-cockatoo.mp4 728751 BLAKE2B 
45b22cd517c1cb7c0cd12f8865facaca6a847047aea716e49633cf2b1dc13826f94787c8a8f9dd5f48c6a896f5d37794c0058da1bde9e1469f196916476dbfa2
 SHA512 
e9cb7c25de8019c59ba4090cf10ab29f2b5d62ada37a877081ca07d2ecfe010036222ae843b41bbcc843130d97fa5e14421de252639e9481df1d1c27b19add49

diff --git a/dev-python/imageio/imageio-2.28.0.ebuild 
b/dev-python/imageio/imageio-2.28.0.ebuild
new file mode 100644
index 000000000000..30875e33909b
--- /dev/null
+++ b/dev-python/imageio/imageio-2.28.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+BIN_COMMIT=224074bca448815e421a59266864c23041531a42
+DESCRIPTION="Python library for reading and writing image data"
+HOMEPAGE="
+       https://imageio.readthedocs.io/en/stable/
+       https://github.com/imageio/imageio/
+       https://pypi.org/project/imageio/
+"
+SRC_URI="
+       https://github.com/imageio/imageio/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       test? (
+               
https://github.com/imageio/imageio-binaries/raw/${BIN_COMMIT}/images/chelsea.png
+                       -> ${PN}-chelsea.png
+               
https://github.com/imageio/imageio-binaries/raw/${BIN_COMMIT}/images/cockatoo.mp4
+                       -> ${PN}-cockatoo.mp4
+       )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# over 50% of tests rely on Internet
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+       >=dev-python/numpy-1.20.0[${PYTHON_USEDEP}]
+       >=dev-python/pillow-8.3.2[${PYTHON_USEDEP}]
+       media-libs/freeimage
+"
+# requests for fsspec[github]
+BDEPEND="
+       test? (
+               dev-python/fsspec[${PYTHON_USEDEP}]
+               dev-python/imageio-ffmpeg[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/tifffile[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       local PATCHES=(
+               # block silently downloading vulnerable libraries from the 
Internet
+               "${FILESDIR}"/imageio-2.22.0-block-download.patch
+       )
+
+       if use test; then
+               mkdir -p "${HOME}"/.imageio/images || die
+               local i
+               for i in chelsea.png cockatoo.mp4; do
+                       cp "${DISTDIR}/${PN}-${i}" 
"${HOME}/.imageio/images/${i}" || die
+               done
+       fi
+
+       distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+       # Fails because of system installed freeimage
+       tests/test_core.py::test_findlib2
+       # Tries to download ffmpeg binary ?!
+       tests/test_ffmpeg.py::test_get_exe_installed
+       # blocked by our patch
+       tests/test_core.py::test_fetching
+       tests/test_core.py::test_request
+       # known broken
+       # https://github.com/imageio/imageio/issues/890
+       tests/test_freeimage.py::test_exr_write
+)

Reply via email to